import { Component, OnInit, OnChanges } from '@angular/core';
import { CartService } from 'src/app/services/cart.service';

@Component({
  selector: 'app-navbar',
  templateUrl: './navbar.component.html',
  styleUrls: ['./navbar.component.scss']
})
export class NavbarComponent implements OnInit {
  cartQuantity: number = 0

  constructor(private cartService: CartService) { }

  ngOnInit(): void {
    
  }

  onChanges(): void {
    this.cartQuantity = this.cartService.getQuantity()
    console.log('halou')
  }

}
